<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>502B.20</title>
</head>
<script>
    //tạo một class:
    class Rectangle {
        //hàm tạo (constructor):
        constructor(length, width) {
            this.length = length;
            this.width = width;
        }
        //phương thức class:
        getArea() {
            return this.length * this.width;
        }
    }
    let rec1 = new Rectangle(10, 5);
    console.log(`get length: ${rec1.length}`)
    console.log(`get width: ${rec1.width}`)
    console.log(`get area: ${rec1.getArea()}`)

    class Square extends Rectangle {
        constructor(width) {
            super(width, width)
            // this.width = width;
            // this.length = width;
            this.perimeter = width * 4
        }
        getPerimeter() {
            return this.perimeter
        }
    }
    let square1 = new Square(10, 10);
    console.log(square1.length)
    console.log(square1.width)
    console.log(square1.getArea())
    console.log(square1.perimeter)
    console.log(square1.getPerimeter())

    console.log(rec1 instanceof Rectangle)
    console.log(square1 instanceof Rectangle)
</script>
<body>

</body>

</html>